# Model Service

This service is a smart-storage for models used in various Ai algorithms (SVM and CNN) in the system. It also stores a "default pointer" to the Ai model intended to be used by the system.  

The different Ai models can be accessed trough different endpoints.

This service requires a MinIO service and a relational database (possibly PostgreSQL). It does not initiate connection to other services.

## Configure
 - **SENTRY_DSN**: Sentry DSN. See https://docs.sentry.io/product/sentry-basics/dsn-explainer/ 
 - **RELEASE_ID**: Release ID for Sentry.
 - **RELEASEMODE**: Release mode for sentry.
 - **DATABASE_URI**: URI connection string for the relational database. (e.g.: `postgresql://birbnetes:supersecret@model-postgres/model-service`)
 - **MINIO_ENDPOINT**: MinIO connection configuration. See https://pypi.org/project/Flask-Minio/
 - **MINIO_ACCESS_KEY**: MinIO connection configuration. See https://pypi.org/project/Flask-Minio/
 - **MINIO_SECRET_KEY**: MinIO connection configuration. See https://pypi.org/project/Flask-Minio/
 - **MINIO_SVM_BUCKET_NAME**: Name of the bucket to store SVM model files.
 - **MINIO_CNN_BUCKET_NAME**: Name of the bucket to store CNN model files.
 - **MINIO_SECURE**: MinIO connection configuration. See https://pypi.org/project/Flask-Minio/
 - **MINIO_REGION**: MinIO connection configuration. See https://pypi.org/project/Flask-Minio/
 - **SECRET_KEY**: Flask secret key. See https://flask.palletsprojects.com/en/2.0.x/config/#SECRET_KEY
